
QGIS Application - Bug report #12209

Problem Snapping to segments in PostGIS

2015-02-16 01:21 AM - Francisco Javier Garcia

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20398

Description

Working with snapping in 2.6.1. release, we have found a problem with a Postgres/PostGIS layer, when we try to snap a node from a

layer to a vertex of another line of the same layer orto another line of other postgres layer.

We hoped that by moving the vertex to the other line, a new vertex was going to be created in the line to separate the segment at the new

position (this works correctly in a shapefile) but it seems that the vertex snaps to the line but a new vertex is not created.

We have tested with other lines of other features (layers) and the result is the same. We have tested in a shapefile and in this case it

doesn't work either.

The steps to reproduce are the following

1. Load a line layer from a PostGIS database

2. Activate the snap to vertex and segment for this layer. Change the tolerance.

3. Enable the editing in the layer

4. Create one line

5. Create another line and try to snap the vertex of the last line to the middle of the first line

6. Apparently the vertex changes its color to snap to the vertex but we finish the transaction, a new vertex is not created in the middle of

the line.

If we reproduce these steps with a shapefile, instead of a postgis layers it works perfectly, a new vertex is created.

We have tried also with features of different postgis layers and the result is the same. The vertex in the middle is not created.

Thanks in advance.

History

#1 - 2015-02-16 01:26 AM - Jürgen Fischer

Does this also apply to master?

#2 - 2015-02-17 01:18 AM - Francisco Javier Garcia

I have tested with the master version and the error is the same.

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No
#4 - 2018-06-05 03:04 PM - Loïc BARTOLETTI

Does this also apply to QGIS 3?

If yes, can you post a dataset and a video of this bug?

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

2024-04-09 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

